# $Revision: 1.18 $, $Date: 2011/08/03 06:12:34 $
Summary:	A set of CUPS printer drivers for SPL (Samsung Printer Language) printers
Summary(hu.UTF-8):	CUPS meghajtók sokasága SPL (Samsung Printer Language) nyomtatókhoz
Summary(pl.UTF-8):	Zestaw sterowników do drukarek obsługujących SPL (Samsung Printer Language)
Name:		cups-driver-splix
Version:	2.0.0
Release:	10
License:	GPL
Group:		Applications
Source0:	http://downloads.sourceforge.net/splix/splix-%{version}.tar.bz2
# Source0-md5:	f3aa735c22a926818b3d8b26c9964186
Source1:	http://splix.ap2c.org/samsung_cms.tar.bz2
# Source1-md5:	51bf60a93575eb392ed6ad5d43e00e36
Patch0:		gcc45.patch
URL:		http://splix.sourceforge.net/
BuildRequires:	cups-devel
BuildRequires:	jbigkit-devel
BuildRequires:	libstdc++-devel
Requires:	cups
Requires:	cups-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_datadir	%(cups-config --datadir 2>/dev/null)
%define 	_libdir		%(cups-config --serverbin 2>/dev/null)
%define		_cupsppddir	%{_datadir}/model
%define 	_cupsfilterdir	%{_libdir}/filter
%define 	_cupsfontsdir	%{_datadir}/fonts

%description
Splix is a driver for printers that speak SPL (Samsung Printer
Language). This includes printers made by Samsung and several Xerox
printers.

%description -l hu.UTF-8
A splix meghajtókat tartalmaz SPL (Samsung Printer Language)
nyomtatókhoz. Ezek a Samsung által gyártott nyomtatók és még néhány a
Xerox termékei közül.

%description -l pl.UTF-8
Splix jest sterownikiem do drukarek obsługującym SPL (Samsung Printer
Language). Wspiera modele wyprodukowane przez Samsunga jak również
niektóre drukarki Xeroksa.

%package samsung
Summary:	Splix Samsung drivers to CUPS
Summary(hu.UTF-8):	Splix Samsung meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Samsunga do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description samsung
Splix Samsung drivers to CUPS

%description samsung -l hu.UTF-8
Splix Samsung meghajtók CUPS-hoz.

%description samsung -l pl.UTF-8
Splix sterownik Samsunga do CUPS

%package xerox
Summary:	Splix Xerox drivers to CUPS
Summary(hu.UTF-8):	Splix Xerox meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Xeroksa do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description xerox
Splix Xerox drivers to CUPS

%description xerox -l hu.UTF-8
Splix Xerox meghajtók CUPS-hoz.

%description xerox -l pl.UTF-8
Splix sterownik Xeroksa do CUPS

%package dell
Summary:	Splix Dell drivers to CUPS
Summary(hu.UTF-8):	Splix Dell meghajtók CUPS-hoz
Summary(pl.UTF-8):	Splix sterownik Della do CUPS
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description dell
Splix Dell drivers to CUPS

%description dell -l hu.UTF-8
Splix Dell meghajtók CUPS-hoz.

%description dell -l pl.UTF-8
Splix sterownik Della do CUPS

%prep
%setup -q -n splix-%{version} -a1
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	OPTCXXFLAGS="%{rpmcxxflags}" \
	OPTLDFLAGS="%{rpmldflags} %{rpmcxxflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_cupsfilterdir}
install optimized/rastertoqpdl  $RPM_BUILD_ROOT%{_cupsfilterdir}
install optimized/pstoqpdl  $RPM_BUILD_ROOT%{_cupsfilterdir}

## samsung drivers
install -d $RPM_BUILD_ROOT%{_cupsppddir}/samsung/cms
cp -a ppd/{cl{p,x}*,ml*} $RPM_BUILD_ROOT%{_cupsppddir}/samsung
cp -a cms/* $RPM_BUILD_ROOT%{_cupsppddir}/samsung/cms
## xerox drivers
install -d $RPM_BUILD_ROOT%{_cupsppddir}/xerox
cp -a ppd/ph* $RPM_BUILD_ROOT%{_cupsppddir}/xerox
## dell drivers
install -d $RPM_BUILD_ROOT%{_cupsppddir}/dell
cp -a ppd/1100* $RPM_BUILD_ROOT%{_cupsppddir}/dell


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README THANKS TODO
%attr(755,root,root) %{_cupsfilterdir}/rastertoqpdl
%attr(755,root,root) %{_cupsfilterdir}/pstoqpdl

%files samsung
%defattr(644,root,root,755)
%dir %{_cupsppddir}/samsung
%{_cupsppddir}/samsung/*

%files xerox
%defattr(644,root,root,755)
%dir %{_cupsppddir}/xerox
%{_cupsppddir}/xerox/*

%files dell
%defattr(644,root,root,755)
%dir %{_cupsppddir}/dell
%{_cupsppddir}/dell/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cups-driver-splix.spec,v $
Revision 1.18  2011/08/03 06:12:34  baggins
- release 10

Revision 1.17  2011/06/14 20:28:35  arekm
- rel 9; enable jbigkit

Revision 1.16  2011/06/14 20:18:23  arekm
- rel 8; include samsung color profiles

Revision 1.15  2010/05/28 05:20:58  uzsolt
- gcc45.patch

Revision 1.14  2010/05/28 05:02:07  uzsolt
- rel 7

Revision 1.13  2010/04/12 12:27:32  baggins
- rel 6

Revision 1.12  2010/04/11 13:46:50  uzsolt
- rel up (openssl update)

Revision 1.11  2009/12/14 12:08:26  baggins
- rel 4

Revision 1.10  2009/12/09 13:44:23  baggins
- rel 3

Revision 1.9  2009/07/06 10:41:07  baggins
- rel 2

Revision 1.8  2009/06/29 21:09:34  qwiat
- missing BR

Revision 1.7  2009/05/01 17:01:19  uzsolt
- hungarizing

Revision 1.6  2009/05/01 16:49:08  uzsolt
- rel 1 (works for me, with a Samsung ML-2010 printer)

Revision 1.5  2009/03/25 22:32:19  qwiat
- update to 2.0.0
- removed obsolete patch

Revision 1.4  2008/09/21 13:34:03  duddits
- polish description and summaries added

Revision 1.3  2008/09/21 13:00:15  glen
- cleanups, strict internal deps

Revision 1.2  2008/09/20 19:34:10  sparky
- optflags patch
- pass __cxx and rpm*flags

Revision 1.1  2008/09/20 18:54:34  uzsolt
- initial
